linux-gcp: 4.15.0-1036.38 -proposed tracker

Bug #1833973 reported by Stefan Bader on 2019-06-24
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Kleber Sacilotto de Souza
Prepare-package-meta
Medium
Kleber Sacilotto de Souza
Prepare-package-signed
Medium
Kleber Sacilotto de Souza
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Andy Whitcroft
Promote-to-updates
Medium
Andy Whitcroft
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux-gcp (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

backports: bug 1833971 (xenial/linux-gcp)
derivatives: bug 1833968 (gcp-kernel)

-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1833987
phase: Complete
phase-changed: Friday, 28. June 2019 15:41 UTC
proposed-announcement-sent: true
proposed-testing-requested: true
variant: debs

CVE References

Stefan Bader (smb) on 2019-06-24
tags: added: bionic kernel-release-tracking-bug
Changed in linux-gcp (Ubuntu):
status: New → Invalid
Changed in linux-gcp (Ubuntu Bionic):
importance: Undecided → Medium
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2019.05.13-7
description: updated
description: updated
Stefan Bader (smb) on 2019-06-24
description: updated
tags: added: kernel-sru-derivative-of-1833987
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
description: updated
description: updated
summary: - linux-gcp: <version to be filled> -proposed tracker
+ linux-gcp: 4.15.0-1036.38 -proposed tracker
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
tags: added: block-proposed-bionic
tags: added: block-proposed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Stefan Bader (smb) wrote :

Re-spin, skipping RT.

description: updated

automated-testing completed.

Failures not critical enough to hold the release:
glibc: flaky testcases.

tags: removed: block-proposed-bionic
tags: removed: block-proposed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-gcp - 4.15.0-1036.38

---------------
linux-gcp (4.15.0-1036.38) bionic; urgency=medium

  * linux-gcp: 4.15.0-1036.38 -proposed tracker (LP: #1833973)

  [ Ubuntu: 4.15.0-54.58 ]

  * linux: 4.15.0-54.58 -proposed tracker (LP: #1833987)
  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638) // CVE-2019-11478
    - tcp: refine memory limit test in tcp_fragment()
  * CVE-2019-11479
    - SAUCE: tcp: add tcp_min_snd_mss sysctl
    - SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()

 -- Kleber Sacilotto de Souza <email address hidden> Mon, 24 Jun 2019 14:48:10 +0200

Changed in linux-gcp (Ubuntu Bionic):
status: New → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-gcp - 4.15.0-1036.38~16.04.1

---------------
linux-gcp (4.15.0-1036.38~16.04.1) xenial; urgency=medium

  * linux-gcp: 4.15.0-1036.38~16.04.1 -proposed tracker (LP: #1833971)

  [ Ubuntu: 4.15.0-1036.38 ]

  * linux-gcp: 4.15.0-1036.38 -proposed tracker (LP: #1833973)
  * linux: 4.15.0-54.58 -proposed tracker (LP: #1833987)
  * Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
    manipulation (LP: #1831638) // CVE-2019-11478
    - tcp: refine memory limit test in tcp_fragment()
  * CVE-2019-11479
    - SAUCE: tcp: add tcp_min_snd_mss sysctl
    - SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()

 -- Connor Kuehl <email address hidden> Mon, 24 Jun 2019 10:48:33 -0700

Changed in linux-gcp (Ubuntu):
status: Invalid → Fix Released
description: updated
description: updated

All tasks have been completed and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
tags: removed: kernel-release-tracking-bug-live
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers